Page MenuHomePhabricator

eo: use eina_prefetch
ClosedPublic

Authored by bu5hm4n on Mar 25 2020, 2:20 AM.

Details

Summary

we should prefetch the func pointer here.
Later on we are accessing the func pointer in a streak, after that, we
do not use it anymore.
Depends on D11592

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Mar 25 2020, 2:20 AM
bu5hm4n requested review of this revision.Mar 25 2020, 2:20 AM

Hmm, again wondering how you measure this.

What wonders me a bit is that the macro is not used in tree so far. Or am I missing something?

stefan_schmidt accepted this revision.Mar 26 2020, 10:14 AM
This revision is now accepted and ready to land.Mar 26 2020, 10:14 AM
Closed by commit rEFL4ad9081c81ee: eo: use eina_prefetch (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyApr 3 2020, 5:53 AM
This revision was automatically updated to reflect the committed changes.